summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorThorsten Leemhuis <fedora@leemhuis.info>2019-03-20 06:45:36 +0100
committerThorsten Leemhuis <fedora@leemhuis.info>2019-03-20 06:45:36 +0100
commit65b1226aa62365264ad0273a2e1e17fec5675a7f (patch)
tree339035db70d50d74ef9c981636569774ad5769b4 /scripts
parentd2a26823dd612646d85715720611cdb3d4a5e0f8 (diff)
parent4a22c129ef7c3090f769a13eae520c0972eb72f4 (diff)
downloadkernel-65b1226aa62365264ad0273a2e1e17fec5675a7f.tar.gz
kernel-65b1226aa62365264ad0273a2e1e17fec5675a7f.tar.xz
kernel-65b1226aa62365264ad0273a2e1e17fec5675a7f.zip
merge origin (rebase to 5.0)kernel-5.0.3-250.vanilla.knurd.1.fc29
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/create_headers_tarball.sh4
-rwxr-xr-xscripts/stable-update.sh19
2 files changed, 4 insertions, 19 deletions
diff --git a/scripts/create_headers_tarball.sh b/scripts/create_headers_tarball.sh
index 575b2bb8e..5105f790c 100755
--- a/scripts/create_headers_tarball.sh
+++ b/scripts/create_headers_tarball.sh
@@ -7,6 +7,8 @@
# Author: Herton R. Krzesinski <herton@redhat.com>
# Author: Justin M. Forbes <jforbes@redhat.com>
+set -e
+
# Location of kernel-headers checkout
CURRENTDIR=`pwd`
PKGLOC='kernel-headers'
@@ -17,7 +19,7 @@ if [ ! -f $PKGLOC/kernel-headers.spec ]; then
fi
# Kernel version information taken from kernel.spec and change to prepared sources directory
-MAJORVER='4'
+MAJORVER='5'
RELEASED=`grep "%global released_kernel" kernel.spec| cut -d ' ' -f 3`
BASERELEASE=`cat kernel.spec | grep "%global baserelease" | cut -d ' ' -f 3`
BASE=`grep "%define base_sublevel" kernel.spec| cut -d ' ' -f 3`
diff --git a/scripts/stable-update.sh b/scripts/stable-update.sh
index 962c3c4ec..985e0f4e0 100755
--- a/scripts/stable-update.sh
+++ b/scripts/stable-update.sh
@@ -40,30 +40,13 @@ if [ -z $VERSION ]; then
fi
if [ ! -f patch-$1.xz ]; then
- wget https://cdn.kernel.org/pub/linux/kernel/v4.x/patch-$1.xz
+ wget https://cdn.kernel.org/pub/linux/kernel/v5.x/patch-$1.xz
if [ ! $? -eq 0 ]; then
echo "Download fail"
exit 1
fi
fi
-# This all needs to be updated for the new generation system
-#
-# if [ ! -f "patch-$1.sign" ]; then
-# wget "https://cdn.kernel.org/pub/linux/kernel/v4.x/patch-$1.sign"
-# if [ ! $? -eq 0 ]; then
-# echo "Signature download failed"
-# exit 1
-# fi
-# fi
-
-# xzcat "patch-$1.xz" | gpg2 --verify "patch-$1.sign" -
-# if [ ! $? -eq 0 ]; then
-# echo "Patch file has invalid or untrusted signature!"
-# echo "See https://www.kernel.org/category/signatures.html"
-# exit 1
-# fi
-
grep $1 sources &> /dev/null
if [ ! $? -eq 0 ]; then
# thl is not an allowed uploader, skip this